$.widget("cognimatics.statChart", {
    options: {
        url: undefined,
        interval: 120000
    },
    _create: function() {
        var me = this;
        var $chartHeader = me.element.siblings("h4.chartHeader");
        // $(me).css("min-width", "400px");
        me.legend = new AmCharts.AmLegend();
        me.legend.valueText = "";
        me.cursor = new AmCharts.ChartCursor();
        me.chart = new AmCharts.AmSerialChart();
        me.chart.fontFamily = "Arial";
        me.chart.chartCursor = undefined;
        me.chart.addChartCursor(me.cursor);
        me.options.graphs.forEach(function(opts){
            var graph = new AmCharts.AmGraph();
            graph.type = opts.type || "line";
            graph.valueField = opts.keyword;
            graph.title = opts.title;
            graph.color = opts.color;
            graph.lineColor = opts.color;
            graph.lineThickness = 2;
            graph.balloonText = "[[value]] " + opts.title;
            if ( graph.type == "column" ) {
                graph.fillAlphas = 1;
            }
            me.chart.addGraph(graph);
        });
        me.chart.addLegend(me.legend);
        me.chart.categoryField = "datetime";


        me.element.fadeTo(0, 0.01);
        $chartHeader.fadeTo(0, 0.01);
        addPoller(me.options.url, me.options.interval, function(response, firstTime) {
            if ( firstTime ) {
                me.element.fadeTo(500, 1);
                $chartHeader.fadeTo(500, 1);
                me.chart.write(me.element[0].id);
            }
            if ( me.chart.chartCursor.zooming === undefined ||
                 !me.chart.chartCursor.zooming && me.chart.startIndex === 0 ) {
                // Probably not zooming.
                me.chart.dataProvider = response.data;
                me.chart.validateData();
            }
        });
    }
});
