$(function() {
    var vars = {};
    var counts = {};
    function pollify(url, callback, interval) {
        interval = interval | 300;
        setTimeout(function() {
            if (!url) {
                callback();
                pollify(url, callback, interval);
            } else {
                $.getJSON(url, function(data) {
                    callback(data);
                    pollify(url, callback, interval);
                });
            }
        }, interval);
    }
    pollify("fps.json", function(data) {
        vars.FPS = data.fps|0;
    });
    pollify("video.json", function(data) {
        vars["frame count"] = data.frame_count|0;
    });
    pollify("/stereo/people-counter/raw-counts.json", function(data) {
        counts.up = data.up|0;
        counts.down = data.down|0;
    }, 1000);
    pollify("", function() {
        $("#stats").html("");
        var $ul = $("<ul/>"),
            key;
        for (key in vars) {
            $("<li/>").html(key +": " + vars[key]).appendTo($ul);
        }
        $("#stats").append($ul);
        $("#counts").html("");
        $ul = $("<ul/>");
        for (key in counts) {
            $("<li/>").html(key +": " + counts[key]).appendTo($ul);
        }
        $("#counts").append($ul);
   });
   $("#play_button").click(function() {
       $.ajax({
           url: "play",
           method: "POST"
       });
       $(this).toggle();
       $("#pause_button").toggle();
       return false;
   }).hide();
   $("#pause_button").click(function() {
       $.ajax({
           url: "pause",
           method: "POST"
       });
       $(this).toggle();
       $("#play_button").toggle();
       return false;
   });
   $("#step_button").click(function() {
       $.ajax({
           url: "step",
           method: "POST"
       });
       $("#pause_button").hide();
       $("#play_button").show();
       return false;
   });

});
