$(function() {
    var canvas = $("canvas")[0];
    var ctx = canvas.getContext("2d");
    var colors = {};
    var ballsize = canvas.width / 25;
    var config = {
        height: 0,
        width: 0,
        scale: 1,
    };

    var scale_width = 0;
    var scale_height = 0;

    $.getJSON("/stereo/config/video.json", function(data) {
        config = data;
        scale_width = $(canvas).width()/config.width*config.scale; // /2;
        scale_height = $(canvas).height()/config.height*config.scale; // /2;
    });

    function get_color(id) {
        if(colors[id] === undefined) {
            var letters = '0123456789ABCDEF'.split('');
            var color = '#';
            for (var i = 0; i < 6; i++ ) {
                color += letters[Math.round(Math.random() * 15)];
            }
            colors[id] = color;
        }

        return colors[id];
    }
    $.ajaxSetup({ cache: false });

    var tracks_url = "/stereo/people-counter/tracks.json";

    if ( params.device.use_io ) {
        tracks_url = "/stereo/passenger/tracks.json";
    }

    var drawTracks = function(cb) {
        $.getJSON(tracks_url).success(function(data) {
            var tracks = data.tracks;
            ctx.clearRect(0, 0, canvas.width, canvas.height);
            $.each(tracks, function(idx, track) {
                var pos = track.position;
                ctx.beginPath();
                var x = pos[0];//scale_width*pos[0];
                var y = pos[1]; //scale_height*pos[1];
                var size = track.id ? ballsize : ballsize / 3;
                ctx.arc(x, y, size, 2*Math.PI, false);
                ctx.fillStyle = get_color(track.id);
                ctx.fill();
                ctx.fillStyle = "#000000";
                ctx.font = "bold "+ballsize+"px Arial";
                ctx.textAlign = "center";
                ctx.Baseline = "middle";
                if ( track.id ) ctx.fillText("#"+track.id, x, y+ballsize/3);
            });
        }).complete(function() {
            setTimeout(function() {
                cb(cb);
            }, 100);
        });
};

   /* setInterval(function() {
        $.getJSON('/fps.json').success(function(data) {
                $("#fps").html(data.fps);
        });

        $.getJSON('counts').success(function(data) {
                $("#up").html(data.up);
                $("#down").html(data.down);
        });
    }, 1000);*/

    drawTracks(drawTracks);
});
